com.sun.syndication.feed.rss

## Class Image

- java.lang.Object
- - com.sun.syndication.feed.rss.Image

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Image
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for images of RSS feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Image()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getDescription()` Returns the image description.
`int` `getHeight()` Returns the image height.
`java.lang.String` `getLink()` Returns the image link.
`java.lang.String` `getTitle()` Returns the image title.
`java.lang.String` `getUrl()` Returns the image URL.
`int` `getWidth()` Returns the image width.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setDescription(java.lang.String description)` Sets the image description.
`void` `setHeight(int height)` Sets the image height.
`void` `setLink(java.lang.String link)` Sets the image link.
`void` `setTitle(java.lang.String title)` Sets the image title.
`void` `setUrl(java.lang.String url)` Sets the image URL.
`void` `setWidth(int width)` Sets the image width.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Image

    public Image()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getTitle

    public java.lang.String getTitle()

Returns the image title.

Returns:
  the image title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the image title.

Parameters:
  `title` - the image title to set, null if none.

#### getUrl

    public java.lang.String getUrl()

Returns the image URL.

Returns:
  the image URL, null if none.

#### setUrl

    public void setUrl(java.lang.String url)

Sets the image URL.

Parameters:
  `url` - the image URL to set, null if none.

#### getLink

    public java.lang.String getLink()

Returns the image link.

Returns:
  the image link, null if none.

#### setLink

    public void setLink(java.lang.String link)

Sets the image link.

Parameters:
  `link` - the image link to set, null if none.

#### getWidth

    public int getWidth()

Returns the image width.

Returns:
  the image width, null if none.

#### setWidth

    public void setWidth(int width)

Sets the image width.

Parameters:
  `width` - the image width to set, null if none.

#### getHeight

    public int getHeight()

Returns the image height.

Returns:
  the image height, null if none.

#### setHeight

    public void setHeight(int height)

Sets the image height.

Parameters:
  `height` - the image height to set, null if none.

#### getDescription

    public java.lang.String getDescription()

Returns the image description.

Returns:
  the image description, null if none.

#### setDescription

    public void setDescription(java.lang.String description)

Sets the image description.

Parameters:
  `description` - the image description to set, null if none.